Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.StreamCharBufferSubChunk

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunk
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.StreamCharBufferSubChunk

Enclosing class:
  StreamCharBuffer

    final class StreamCharBuffer.StreamCharBufferSubChunk

extends StreamCharBuffer.AbstractChunk

Field Summary
`(package private) int` | `cachedSize`
`(package private) StreamCharBuffer` | `streamCharBuffer`

Fields inherited from class org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunk
`next, prev, writerUsedCounter`

Constructor Summary
`StreamCharBuffer.StreamCharBufferSubChunk(StreamCharBuffer streamCharBuffer)`

Method Summary
`StreamCharBuffer.ChunkReader` | `getChunkReader(boolean removeAfterReading)`
`boolean` | `resetSize()`
`int` | `size()`
`void` | `subtractFromTotalCount()`
`void` | `writeTo(Writer target)`

Methods inherited from class org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunk
`getWriterUsedCounter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### streamCharBuffer

    StreamCharBuffer streamCharBuffer

### cachedSize

    int cachedSize

Constructor Detail

### StreamCharBuffer.StreamCharBufferSubChunk

    public StreamCharBuffer.StreamCharBufferSubChunk(StreamCharBuffer streamCharBuffer)

Method Detail

### writeTo

    public void writeTo(Writer target)
                 throws IOException

  Specified by:
    `writeTo` in class `StreamCharBuffer.AbstractChunk`
  Throws:
    `IOException`

### getChunkReader

    public StreamCharBuffer.ChunkReader getChunkReader(boolean removeAfterReading)

  Specified by:
    `getChunkReader` in class `StreamCharBuffer.AbstractChunk`

### size

    public int size()

  Specified by:
    `size` in class `StreamCharBuffer.AbstractChunk`

### resetSize

    public boolean resetSize()

### subtractFromTotalCount

    public void subtractFromTotalCount()

  Overrides:
    `subtractFromTotalCount` in class `StreamCharBuffer.AbstractChunk`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD